Skip to main content
PATCH
Modifies a Knowledge Base.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

knowledge_base_id
string
required

Unique identifier for a Knowledge Base.

Maximum string length: 28
Pattern: ^kb_[a-zA-Z0-9]{25}$

Body

application/json

Request body for modifying a Knowledge Base.

name
string

The name for the Knowledge Base.

Maximum string length: 255
Example:

"Totoy Developer Support Assistant"

instructions
string

The instructions for the Knowledge Base.

Maximum string length: 4096
Example:

"You are a developer support assistant for the developers using the Totoy API."

project_id
string

The unique identifier for the Project that the Knowledge Base should be assigned to. If the project_id is changed, the project_ids of the Sources that are used as Knowledge Base Sources will also be changed. If a Source is used by multiple Knowledge Bases, then the project_id of the Knowledge Base cannot be changed.

Maximum string length: 28
Pattern: ^pj_[a-zA-Z0-9]{25}$
Example:

"pj_avX7imfLaPcQnv5ckvGlOEBA9"

Response

OK

knowledge_base_id
string
required

The unique identifier for the Knowledge Base.

Maximum string length: 28
Pattern: ^kb_[a-zA-Z0-9]{25}$
Example:

"kb_feMfJbeqbAEj4u8K5HqmKpUbY"

name
string
required

The name for the Knowledge Base.

Maximum string length: 256
Example:

"Totoy Customer Support Assistant"

created_at
string<date-time>
required

The date-time of when the Knowledge Base was created, in ISO 8601 format.

Example:

"2023-07-05T12:00:00Z"

updated_at
string<date-time>
required

The date-time of when the Knowledge Base was last modified, in ISO 8601 format.

Example:

"2023-07-05T12:00:00Z"

instructions
string
required

The instructions for the Knowledge Base.

Maximum string length: 4096
Example:

"You are a customer support assistant for the customers of the company Totoy."

project_id
string
required

The unique identifier for the Project that the Knowledge Base is assigned to.

Maximum string length: 28
Pattern: ^pj_[a-zA-Z0-9]{25}$
Example:

"pj_avX7imfLaPcQnv5ckvGlOEBA9"